# qca_publickey.h File Reference

Header file for PublicKey and PrivateKey related classes. More...

`#include <QObject>`
`#include "qca_core.h"`

Include dependency graph for qca_publickey.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | QCA

## Classes

class | QCA::DHPrivateKey
| Diffie-Hellman Private Key. More...
class | QCA::DHPublicKey
| Diffie-Hellman Public Key. More...
class | QCA::DLGroup
| A discrete logarithm group. More...
class | QCA::DSAPrivateKey
| Digital Signature Algorithm Private Key. More...
class | QCA::DSAPublicKey
| Digital Signature Algorithm Public Key. More...
class | QCA::KeyGenerator
| Class for generating asymmetric key pairs. More...
class | QCA::PKey
| General superclass for public (PublicKey) and private (PrivateKey) keys used with asymmetric encryption techniques. More...
class | QCA::PrivateKey
| Generic private key. More...
class | QCA::PublicKey
| Generic public key. More...
class | QCA::RSAPrivateKey
| RSA Private Key. More...
class | QCA::RSAPublicKey
| RSA Public Key. More...

## Enumerations

enum | QCA::ConvertResult { QCA::ConvertGood, QCA::ErrorDecode, QCA::ErrorPassphrase, QCA::ErrorFile }
enum | QCA::DLGroupSet { QCA::DSA_512, QCA::DSA_768, QCA::DSA_1024, QCA::IETF_768, QCA::IETF_1024, QCA::IETF_1536, QCA::IETF_2048, QCA::IETF_3072, QCA::IETF_4096, QCA::IETF_6144, QCA::IETF_8192 }
enum | QCA::EncryptionAlgorithm { QCA::EME_PKCS1v15, QCA::EME_PKCS1_OAEP }
enum | QCA::PBEAlgorithm { QCA::PBEDefault, QCA::PBES2_DES_SHA1, QCA::PBES2_TripleDES_SHA1, QCA::PBES2_AES128_SHA1, QCA::PBES2_AES192_SHA1, QCA::PBES2_AES256_SHA1 }
enum | QCA::SignatureAlgorithm { QCA::SignatureUnknown, QCA::EMSA1_SHA1, QCA::EMSA3_SHA1, QCA::EMSA3_MD5, QCA::EMSA3_MD2, QCA::EMSA3_RIPEMD160, QCA::EMSA3_Raw }
enum | QCA::SignatureFormat { QCA::DefaultFormat, QCA::IEEE_1363, QCA::DERSequence }

## Functions

QCA_EXPORT QByteArray | QCA::emsa3Encode (const QString &hashName, const QByteArray &digest, int size=-1)

## Detailed Description

Header file for PublicKey and PrivateKey related classes.

Note:
  You should not use this header directly from an application. You should just use `#include <QtCrypto>` instead.